﻿using System;
using System.IO;

namespace com.swivelsecure.pinsafe {
    public class DebugLogger {
        private const string LOG_FILE = "PINsafeSharePointFilter.log";
        private bool logOK = true;
        private readonly bool debugActive;
        //private readonly string source;

        public DebugLogger(/*string source, */bool active = false) {
            //this.source = source;
            debugActive = active;
        }

		public void WriteLine(string source, string message, params object[] parms) {
            if (!debugActive || !logOK) {
                return;
            }
            try {
                using (Stream strm = PINsafeSettings.OpenConfigFileForAppend(LOG_FILE)) {
                    using (StreamWriter writer = new StreamWriter(strm)) {
                        string timestamp = DateTime.Now.ToString("s");
                        writer.WriteLine("{0}\t{1}\t{2}", timestamp, source, String.Format(message, parms));
                    }
                }
            } catch {
                // OK, we can't log anything: never mind. Don't try again.
                logOK = false;
            }
        }
    }
}
