﻿using System;
using System.Windows.Forms;
using com.swivelsecure.pinsafe.config.Properties;

namespace com.swivelsecure.pinsafe.config {
    public partial class ApplicationForm : Form {
        public ApplicationForm() {
            InitializeComponent();
            AppLocation = "";
            RequiresPINsafe = true;
        }

        public ApplicationForm(string location, bool requiresPINsafe) {
            InitializeComponent();
            AppLocation = location;
            RequiresPINsafe = requiresPINsafe;
        }

        private bool BrowseLocation() {
            FolderBrowserDialog dlg = new FolderBrowserDialog { Description = Resources.Select_Folder, SelectedPath = Settings.Default.DefaultSharePointPath, ShowNewFolderButton = false };
            if (dlg.ShowDialog() != DialogResult.OK) {
                return false;
            }
            AppLocation = dlg.SelectedPath;
            return true;
        }

        public string AppLocation {
            get { return lblLocation.Text; }
            private set { lblLocation.Text = value; }
        }

        public bool RequiresPINsafe {
            get { return chkRequiresPINsafe.Checked; }
            private set { chkRequiresPINsafe.Checked = value; }
        }

        private void ApplicationForm_Shown(object sender, EventArgs e) {
            if (!String.IsNullOrEmpty(AppLocation)) return;
            if (BrowseLocation()) return;
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
