﻿using System;
using System.Windows.Forms;
using com.swivelsecure.pinsafe.config.Properties;

namespace com.swivelsecure.pinsafe.config {
    public partial class Startup : Form {

        public enum InstallType {
            New,
            Copy,
            UpgradeNew,
            UpgradeOld
        }

        public InstallType InstallationType {
            get; private set;
        }

        public Startup() {
            InitializeComponent();
            InstallationType = InstallType.New;
        }


        private void BtnCancelClick(object sender, EventArgs e) {
            if (MessageBox.Show(Resources.Confirm_Cancel_Message, Resources.Confirm_Cancel_Title, MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.Cancel) {
                return;
            }
            DialogResult = DialogResult.Cancel;
            Close();
        }

        private void RbNewInstallCheckedChanged(object sender, EventArgs e) {
            if (rbNewInstall.Checked) {
                InstallationType = InstallType.New;
            }
        }

        private void RbCopyOtherCheckedChanged(object sender, EventArgs e) {
            if (rbCopyOther.Checked) {
                InstallationType = InstallType.Copy;
            }
        }

        private void RbUpgrade1CheckedChanged(object sender, EventArgs e) {
            if (rbUpgrade1.Checked) {
                InstallationType = InstallType.UpgradeNew;
            }
        }

        private void RbUpgrade2CheckedChanged(object sender, EventArgs e) {
            if (rbUpgrade2.Checked) {
                InstallationType = InstallType.UpgradeOld;
            }
        }

        private void BtnNextClick(object sender, EventArgs e) {
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
