﻿using System;
using System.Drawing.Imaging;
using System.Net;
using System.Text;
using System.Web.UI;
using com.swivelsecure.pinsafe;

namespace Web._forms
{
    public partial class SCImage : Page {
        protected void Page_Load(object sender, EventArgs e) {
            // Get the ID of the image to retrieve.
            string sessionId = Request["sessionid"];
            string username = Request["username"];
            string type = Request["type"];
            PINsafeSettings settings = PINsafeSettings.SettingsFromConfiguration;
            PINsafeClient client = new PINsafeClient(settings);
            int statusCode;
            System.Drawing.Image img;
            if (type == null) {
                type = (settings.ShowTURing) ? "turing" : ((settings.ShowMessage) ? "message" : "");
            }
            if ("turing".Equals(type)) {
                img = client.GetImage(sessionId, username, out statusCode);
            } else if ("message".Equals(type)) {
                img = client.GetMessage(sessionId, username, out statusCode);
            } else {
                statusCode = (int) HttpStatusCode.BadRequest;
                img = null;
            }
            if (statusCode != (int) HttpStatusCode.OK) {
                Response.StatusCode = statusCode;
            } else {
                Response.ContentType = "image/gif";
                StringBuilder disposition = new StringBuilder("inline; filename=turing.gif");
                Response.AddHeader("Content-Disposition", disposition.ToString());
                if (img != null) {
                    img.Save(Response.OutputStream, ImageFormat.Gif);
                }
            }
        }
    }
}
