var xmlHttp;

var XMLHttpFactories = [
	function () { return new XMLHttpRequest(); },
	function () { return new ActiveXObject("Msxml3.XMLHTTP"); },
	function () { return new ActiveXObject("Msxml2.XMLHTTP"); },
	function () { return new ActiveXObject("Microsoft.XMLHTTP"); }
];

function createXMLHttpRequest() {
    var xmlhttp = false;
    for (var i = 0; i < XMLHttpFactories.length; i++) {
        try {
            xmlhttp = XMLHttpFactories[i]();
        }
        catch (e) {
            continue;
        }
        break;
    }
    return xmlhttp;
}

function Ping() {
    var pinsafeUrl = "./ping.aspx?random=" + Math.floor(Math.random() * 100000);
    xmlHttp = createXMLHttpRequest();
    xmlHttp.onreadystatechange = OnPing;
    xmlHttp.open("GET", pinsafeUrl, true);
    xmlHttp.send(null);
}

function OnPing() {
    // Nothing really needs doing here.
}

function GetUsername() {
    var userField = document.getElementById("txtUsername");
    if (!userField || !userField.value) {
        return null;
    }
    var username = userField.value;
    var idx = username.indexOf('\\');
    if (idx >= 0 && idx < username.length - 1) {
        username = username.substring(idx + 1);
    }
    idx = username.indexOf('@');
    if (idx > 0) {
        username = username.substring(0, idx);
    }
    return username;
}

function CheckUser() {
    var rowOtc = document.getElementById("otcRow");
    var rowTuring = document.getElementById("imgRow");
    var chkPINsafeOff = document.getElementById("noPINsafe");
    var btnLogin2 = document.getElementById("btnLogin2");
    if (btnLogin2) {
        btnLogin2.style.display = "none";
    }
    if (rowOtc) {
        rowOtc.style.display = "";
    }
    if (rowTuring) {
        rowTuring.style.display = "";
        ShowTuring();
    }
    if (chkPINsafeOff) {
        chkPINsafeOff.checked = false;
    }
}

function ShowTuring() {
    var username = GetUsername();
    if (username && username != "") {
        var thisRow = document.getElementById("otcRow");
        if (thisRow) {
            thisRow.style.display = "";
        }
        thisRow = document.getElementById("imgRow");
        if (thisRow) {
            thisRow.style.display = "";
        }
        var turing = document.getElementById("imgTuring");
        if (turing) {
            turing.src = "SCImage.aspx?username=" + username + "&mobile=0&random=" + Math.floor(Math.random() * 100000);
            turing.style.display = "";
        }
    }
}
